// 聊天模板表
import { readFileAndParse } from '../util'
import { FILENAME } from '../../consts'

export interface DicChatSystem {

    // 模板 id
    readonly id: number;
    // 模板名称
    readonly name: string;
}

let arr = readFileAndParse(FILENAME.DIC_CHAT_SYSTEM);

export const dicChatSystem = new Map<number, DicChatSystem>();

arr.forEach(o => {
    dicChatSystem.set(o.id, o);
});
arr = undefined;
